POST /api/v202506/bill/{billId}/billImage

Upload a file representing a bill image. The bill image file extension must match the settings in system data 'webbillimageext'.

UploadBillImageV202506 Permissions: BillsAndBatches (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
billId The Bill ID associated with the file being uploaded. integer (int32) Required

Query Parameters

Name Description Type Required
fileName The name of the file containing the bill image string Optional

Request Body

Type: string

Example Request Body application/json
"string"

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Type: string

Example Response application/json
"string"